##%%set_verify_elf_method relaxed
%define svnver svn20080309
%def_enable svn
%def_enable epiphany

Name: gwget
Version: 0.99

%if_enabled svn
Release: alt2.%svnver
%else
Release: alt3
%endif

Summary: Gwget - Gnome2 wget Front-end
License: GPLv2+
Group: Networking/File transfer
URL: http://gnome.org/projects/gwget

%if_enabled svn
Source: %name-%version-%svnver.tar.bz2
%else
Source: http://ftp.gnome.org/pub/GNOME/sources/gwget/%version/%name-%version.tar.bz2
%endif

Patch1: %name-0.99-epiphany.patch
Patch2: %name-0.99-svn-epiphany.patch
Patch3: %name-0.99-alt-fix-build.patch

Provides: gwget2

BuildRequires: epiphany-devel gcc-c++ libgnomeui-devel libnotify-devel
BuildRequires: libgtk+2-devel fontconfig gcc-c++ GConf libavahi-glib libdbus-devel libdbus-glib-devel libbonoboui-devel 
BuildRequires: libICE-devel libX11-devel libSM-devel perl-XML-Parser zlib-devel libGConf-devel 

Requires(post,postun): desktop-file-utils
BuildPreReq: desktop-file-utils

Requires: wget
PreReq: GConf

%description
Gwget: Gnome2 wget Front-end.
Gwget it's a download manager for the Gnome Desktop. The main features are: 
* Resume: By default, gwget tries to continue any download.
* Notification: Gwget tries to use the Gnome notification area support, 
  if available. You can close the main window and gwget runs in the background.
* Recursivity: Gwget detects when you put a html, php, asp or a web page dir 
  in the url to download, and ask you 
  to only download certain files (multimedia, only the index, and so on).
* Drag & Drop: You can d&d a url to the main gwget window or 
  the notification area icon to add a new download. 

%if_enabled epiphany

%package -n epiphany-extension-gwget
Summary: Gwget extention for Epiphany browser
Group: Networking/File transfer
Requires:       %name = %version-%release
Requires:       epiphany epiphany-extensions
BuildRequires: epiphany-devel 
		
%description -n epiphany-extension-gwget
Extention Gwget for Epiphany browser
%endif

%prep
%setup -q

%if_enabled svn
%patch2 -p1
%else
%patch1 -p1
%endif
%patch3 -p1

%build
%if_enabled svn
intltoolize --force
%__libtoolize
%__aclocal
%__autoconf
%__autoheader
%__automake -a -c --foreign
%endif

intltoolize --force
%autoreconf



%configure  \
%if_enabled epiphany
    --enable-epiphany-extension \
%endif
	    --disable-static

%make_build

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%make_install install DESTDIR=%buildroot
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

# remove none-packaged files
%__rm -f %buildroot%_libdir/epiphany/*/extensions/*.{a,la}

# menus
## %__mkdir_p %buildroot/%_menudir
## freedesktop2menu.pl %name "Applications/Network" \
## %buildroot/%_datadir/applications/%name.desktop \
## %buildroot/%_menudir/%name

%find_lang --with-gnome %name 

%post
%gconf2_install %name
%update_menus
%update_desktopdb

%preun
if [ $1 = 0 ]; then
    %gconf2_uninstall %name
fi
    
    
%postun
%clean_menus
%clean_desktopdb

%files -f %name.lang
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README TODO
%_bindir/*
%_datadir/%name
%_datadir/pixmaps/*
%_datadir/applications/*
%config %_sysconfdir/gconf/schemas/*
%_datadir/dbus-1/services/*.service

%if_enabled epiphany
%files -n epiphany-extension-gwget
%_libdir/epiphany/*/extensions/*
%endif

%changelog
* Tue Apr 01 2008 Alexey Shabalin <shaba@altlinux.ru> 0.99-alt2.svn20080309
- update to svn(20080309)
- fix build with epiphany-2.22

* Thu Nov 08 2007 Alexey Shabalin <shaba@altlinux.ru> 0.99-alt2.svn20071101
- update to svn(20071101) - update translations and fix two bugs
- fix build with epiphany-2.20

* Sat Jun 02 2007 Alexey Shabalin <shaba@altlinux.ru> 0.99-alt1
- 0.99
- remove patches
- remove SOURCE3 (dbus service in upstrem)

* Sat Mar 31 2007 Alexey Shabalin <shaba@altlinux.ru> 0.98.2-alt2
- fix build with epiphany 2.18

* Fri Nov 24 2006 Alexey Shabalin <shaba@altlinux.ru> 0.98.2-alt1
- 0.98.2
- add dbus service (source3)

* Thu Oct 26 2006 Alexey Shabalin <shaba@altlinux.ru> 0.98.1-alt2.cvs20061017
- cvs version 20061017
- Use dbus interface instead of bonobo
- Fix build with epiphany 2.16
- add %%set_verify_elf_method relaxed (undefined symbol in /usr/%_lib/epiphany/2.16/extensions/libgwgetextension.so)

* Wed May 17 2006 Alexey Shabalin <shaba@altlinux.ru> 0.98.1-alt1
- 0.98.1

* Tue Jan 10 2006 Alexey Shabalin <shaba@altlinux.ru> 0.97-alt1
- 0.97

* Wed Nov 09 2005 Alexey Shabalin <shaba@altlinux.ru> 0.96-alt2
- fix path epiphany-extension for epiphany v1.8
- fix BuildRequires

* Thu Aug 18 2005 Alexey Shabalin <shaba@altlinux.ru> 0.96-alt1
- 0.96 

* Tue May 24 2005 Alexey Shabalin <shaba@altlinux.ru> 0.95-alt1
- 0.95

* Fri May 13 2005 Alexey Shabalin <shaba@altlinux.ru> 0.94-alt1
- 0.94
- update spec 
- add epiphany-extension-gwget

* Sun Oct 26 2003 Andrey Semenov <mitrofan@altlinux.ru> 0.7-alt1
- 0.7
- Added Recursive option if the url added it's not a file
- Cancel download in the popup menu now can be selected if the download it's in error state
- Added "Remove all downloads" and "Remove not running" options to the popup
- Added Japanese translation

* Mon Sep 29 2003 Andrey Semenov <mitrofan@altlinux.ru> 0.6-alt1
- 0.6

* Wed Sep 17 2003 Andrey Semenov <mitrofan@altlinux.ru> 0.5-alt2
- Cleanup spec

* Thu Jun 26 2003 Andrey Semenov <mitrofan@altlinux.ru> 0.5-alt1
- 0.5
- Added Drag&Drop support.
- Added speed of the download information.

* Thu Jun 19 2003 Andrey Semenov <mitrofan@altlinux.ru> 0.4-alt1
- 0.4

* Tue Jun 03 2003 Andrey Semenov <mitrofan@altlinux.ru> 0.3-alt1
- 0.3

* Wed Apr 02 2003 Andrey Semenov <mitrofan@altlinux.ru> 0.2-alt1
- First version of RPM package.

